#include "stdafx.h"
#include "GenericMFC.h"
#include "GenericMFCDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

#define IDS_MAILADDR	_T("mailto:davide_calabro@yahoo.com")
#define IDS_WEBADDR		_T("http://www.softechsoftware.it")

CGenericMFCDlg::CGenericMFCDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CGenericMFCDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CGenericMFCDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CGenericMFCDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CGenericMFCDlg)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP

	DDX_Control(pDX, IDC_CFS, m_progressCFS);
	DDX_Control(pDX, IDC_TILED, m_progressTiled);
	DDX_Control(pDX, IDC_VERTICAL, m_progressVertical);
	DDX_Control(pDX, IDC_STANDARD, m_progressStandard);

	DDX_Control(pDX, IDC_BTNSTEP, m_btnStep);
	DDX_Control(pDX, IDCANCEL, m_btnExit);

	DDX_Control(pDX, IDC_EMAILLINK, m_EMailLink);
	DDX_Control(pDX, IDC_HOMEPAGELINK, m_HomePageLink);
}

BEGIN_MESSAGE_MAP(CGenericMFCDlg, CDialog)
	//{{AFX_MSG_MAP(CGenericMFCDlg)
	ON_BN_CLICKED(IDC_BTNSTEP, OnBtnStep)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

BOOL CGenericMFCDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	SetIcon(m_hIcon, TRUE);
	SetIcon(m_hIcon, FALSE);

	// Create progress bar like Microsoft's Combat Flight Simulator
	m_progressCFS.SetBitmap(IDB_CFS);
	m_progressCFS.SetRange(0, 1000);
	m_progressCFS.SetStep(50);
	m_progressCFS.SetPos(200);
	// Tiled
	m_progressTiled.SetBitmap(IDB_TILE);
	m_progressTiled.SetRange(-1000, 1000);
	m_progressTiled.SetStep(100);
	// Vertical
	m_progressVertical.SetBitmap(IDB_AQUARIUM);
	m_progressVertical.SetRange(-1000, 1000);
	m_progressVertical.SetStep(50);

	// Button exit
	m_btnExit.SetThemeHelper(&m_Theme);
	m_btnExit.SetIcon(IDI_NO3, (int)BTNST_AUTO_GRAY);
	m_btnExit.OffsetColor(CButtonST::BTNST_COLOR_BK_IN, 30);
	m_btnExit.SetTooltipText(_T("Close the application"));
	// Button Step-it
	m_btnStep.SetThemeHelper(&m_Theme);
	m_btnStep.SetIcon(IDI_RUN, (int)BTNST_AUTO_GRAY);
	m_btnStep.OffsetColor(CButtonST::BTNST_COLOR_BK_IN, 30);
	m_btnStep.SetTooltipText(_T("Step progress bars"));

	// Set HyperLink for E-Mail
	m_EMailLink.SetURL(IDS_MAILADDR);
	m_EMailLink.SetUnderline(CHyperLink::ulAlways);

	// Set HyperLink for Home Page
	m_HomePageLink.SetURL(IDS_WEBADDR);
	m_HomePageLink.SetUnderline(CHyperLink::ulAlways);
	
	return TRUE;
} // End of OnInitDialog

void CGenericMFCDlg::OnBtnStep() 
{
	m_progressCFS.StepIt();
	m_progressTiled.StepIt();
	m_progressVertical.StepIt();
	m_progressStandard.StepIt();
} // End of OnBtnStep
